Skip to main content

Transition Request

View as Markdown

TransitionRequest object

For activities, this contains the activity recorded for the action. For comments, this contains the comment details. For transition requests, this contains the transition request details.

creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

user_idstringemail

The username of the user that created the object.

Example: jane.doe@example.com

activity_typestring

Type of activity. Valid values are:

  • APPLIED_TRANSITION: User applied the corresponding stage transition.

  • REQUESTED_TRANSITION: User requested the corresponding stage transition.

  • CANCELLED_REQUEST: User cancelled an existing transition request.

  • APPROVED_REQUEST: User approved the corresponding stage transition.

  • REJECTED_REQUEST: User rejected the coressponding stage transition.

  • SYSTEM_TRANSITION: For events performed as a side effect, such as archiving existing model versions in a stage.

Values:

  • APPLIED_TRANSITION
  • REQUESTED_TRANSITION
  • CANCELLED_REQUEST
  • APPROVED_REQUEST
  • REJECTED_REQUEST
  • NEW_COMMENT
  • SYSTEM_TRANSITION
commentstring[ 1 .. 65535 ] characters

User-provided comment associated with the activity, comment, or transition request.

Example: This version is great!

last_updated_timestampint64

Time of the object at last update, as a Unix timestamp in milliseconds.

Example: 1594437549910

from_stagestring

Source stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

to_stagestring

Target stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

system_commentstring

Comment made by system, for example explaining an activity of type SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.

available_actionsarray of string

Array of actions on the activity allowed for the current viewer.

Values:

  • APPROVE_TRANSITION_REQUEST
  • REJECT_TRANSITION_REQUEST
  • CANCEL_TRANSITION_REQUEST
  • EDIT_COMMENT
  • DELETE_COMMENT
idstringuuid

Unique identifier for the object.

Example: 6fc74c92704341aaa49e74dcc6031057

List transition requests GA

GET /api/2.0/mlflow/transition-requests/list

Gets a list of all open stage transition requests for the model version.

API scopes: mlflow

Parameters

namestringRequiredquery

Name of the registered model.

Example: search_ads_model

versionstringRequiredquery

Version of the model.

Example: 1

Response

requestsarray of object

Array of open transition requests.

Show child attributesHide child attributes
creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

user_idstringemail

The username of the user that created the object.

Example: jane.doe@example.com

activity_typestring

Type of activity. Valid values are:

  • APPLIED_TRANSITION: User applied the corresponding stage transition.

  • REQUESTED_TRANSITION: User requested the corresponding stage transition.

  • CANCELLED_REQUEST: User cancelled an existing transition request.

  • APPROVED_REQUEST: User approved the corresponding stage transition.

  • REJECTED_REQUEST: User rejected the coressponding stage transition.

  • SYSTEM_TRANSITION: For events performed as a side effect, such as archiving existing model versions in a stage.

Values:

  • APPLIED_TRANSITION
  • REQUESTED_TRANSITION
  • CANCELLED_REQUEST
  • APPROVED_REQUEST
  • REJECTED_REQUEST
  • NEW_COMMENT
  • SYSTEM_TRANSITION
commentstring[ 1 .. 65535 ] characters

User-provided comment associated with the activity, comment, or transition request.

Example: This version is great!

last_updated_timestampint64

Time of the object at last update, as a Unix timestamp in milliseconds.

Example: 1594437549910

from_stagestring

Source stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

to_stagestring

Target stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

system_commentstring

Comment made by system, for example explaining an activity of type SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.

available_actionsarray of string

Array of actions on the activity allowed for the current viewer.

Values:

  • APPROVE_TRANSITION_REQUEST
  • REJECT_TRANSITION_REQUEST
  • CANCEL_TRANSITION_REQUEST
  • EDIT_COMMENT
  • DELETE_COMMENT
idstringuuid

Unique identifier for the object.

Example: 6fc74c92704341aaa49e74dcc6031057

Make a transition request GA

POST /api/2.0/mlflow/transition-requests/create

Creates a model version stage transition request.

API scopes: mlflow

Request body

namestring[ 1 .. 100 ] charactersRequired

Name of the model.

Example: search_ads_model

versionstringRequired

Version of the model.

Example: 1

stagestringRequired

Target stage of the transition. Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

commentstring[ 1 .. 65535 ] characters

User-provided comment on the action.

Example: This version is great!

Response

requestobject

New activity generated for stage transition request.

Show child attributesHide child attributes
creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

user_idstringemail

The username of the user that created the object.

Example: jane.doe@example.com

activity_typestring

Type of activity. Valid values are:

  • APPLIED_TRANSITION: User applied the corresponding stage transition.

  • REQUESTED_TRANSITION: User requested the corresponding stage transition.

  • CANCELLED_REQUEST: User cancelled an existing transition request.

  • APPROVED_REQUEST: User approved the corresponding stage transition.

  • REJECTED_REQUEST: User rejected the coressponding stage transition.

  • SYSTEM_TRANSITION: For events performed as a side effect, such as archiving existing model versions in a stage.

Values:

  • APPLIED_TRANSITION
  • REQUESTED_TRANSITION
  • CANCELLED_REQUEST
  • APPROVED_REQUEST
  • REJECTED_REQUEST
  • NEW_COMMENT
  • SYSTEM_TRANSITION
commentstring[ 1 .. 65535 ] characters

User-provided comment associated with the activity, comment, or transition request.

Example: This version is great!

last_updated_timestampint64

Time of the object at last update, as a Unix timestamp in milliseconds.

Example: 1594437549910

from_stagestring

Source stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

to_stagestring

Target stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

system_commentstring

Comment made by system, for example explaining an activity of type SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.

available_actionsarray of string

Array of actions on the activity allowed for the current viewer.

Values:

  • APPROVE_TRANSITION_REQUEST
  • REJECT_TRANSITION_REQUEST
  • CANCEL_TRANSITION_REQUEST
  • EDIT_COMMENT
  • DELETE_COMMENT
idstringuuid

Unique identifier for the object.

Example: 6fc74c92704341aaa49e74dcc6031057

Delete a transition request GA

DELETE /api/2.0/mlflow/transition-requests/delete

Cancels a model version stage transition request.

API scopes: mlflow

Parameters

namestringRequiredquery

Name of the model.

Example: search_ads_model

versionstringRequiredquery

Version of the model.

Example: 1

stagestringRequiredquery

Target stage of the transition request. Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

Example: Staging

creatorstringemailRequiredquery

Username of the user who created this request. Of the transition requests matching the specified details, only the one transition created by this user will be deleted.

Example: jane.doe@example.com

commentstringquery

User-provided comment on the action.

Example: This version is great!

Response

activityobject

New activity generated as a result of this operation.

Show child attributesHide child attributes
creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

user_idstringemail

The username of the user that created the object.

Example: jane.doe@example.com

activity_typestring

Type of activity. Valid values are:

  • APPLIED_TRANSITION: User applied the corresponding stage transition.

  • REQUESTED_TRANSITION: User requested the corresponding stage transition.

  • CANCELLED_REQUEST: User cancelled an existing transition request.

  • APPROVED_REQUEST: User approved the corresponding stage transition.

  • REJECTED_REQUEST: User rejected the coressponding stage transition.

  • SYSTEM_TRANSITION: For events performed as a side effect, such as archiving existing model versions in a stage.

Values:

  • APPLIED_TRANSITION
  • REQUESTED_TRANSITION
  • CANCELLED_REQUEST
  • APPROVED_REQUEST
  • REJECTED_REQUEST
  • NEW_COMMENT
  • SYSTEM_TRANSITION
commentstring[ 1 .. 65535 ] characters

User-provided comment associated with the activity, comment, or transition request.

Example: This version is great!

last_updated_timestampint64

Time of the object at last update, as a Unix timestamp in milliseconds.

Example: 1594437549910

from_stagestring

Source stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

to_stagestring

Target stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

system_commentstring

Comment made by system, for example explaining an activity of type SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.

available_actionsarray of string

Array of actions on the activity allowed for the current viewer.

Values:

  • APPROVE_TRANSITION_REQUEST
  • REJECT_TRANSITION_REQUEST
  • CANCEL_TRANSITION_REQUEST
  • EDIT_COMMENT
  • DELETE_COMMENT
idstringuuid

Unique identifier for the object.

Example: 6fc74c92704341aaa49e74dcc6031057

Approve transition request GA

POST /api/2.0/mlflow/transition-requests/approve

Approves a model version stage transition request.

API scopes: mlflow

Request body

namestring[ 1 .. 100 ] charactersRequired

Name of the model.

Example: search_ads_model

versionstringRequired

Version of the model.

Example: 1

stagestringRequired

Target stage of the transition. Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

archive_existing_versionsbooleanRequired

Specifies whether to archive all current model versions in the target stage.

Example: true

commentstring[ 1 .. 65535 ] characters

User-provided comment on the action.

Example: This version is great!

Response

activityobject

New activity generated as a result of this operation.

Show child attributesHide child attributes
creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

user_idstringemail

The username of the user that created the object.

Example: jane.doe@example.com

activity_typestring

Type of activity. Valid values are:

  • APPLIED_TRANSITION: User applied the corresponding stage transition.

  • REQUESTED_TRANSITION: User requested the corresponding stage transition.

  • CANCELLED_REQUEST: User cancelled an existing transition request.

  • APPROVED_REQUEST: User approved the corresponding stage transition.

  • REJECTED_REQUEST: User rejected the coressponding stage transition.

  • SYSTEM_TRANSITION: For events performed as a side effect, such as archiving existing model versions in a stage.

Values:

  • APPLIED_TRANSITION
  • REQUESTED_TRANSITION
  • CANCELLED_REQUEST
  • APPROVED_REQUEST
  • REJECTED_REQUEST
  • NEW_COMMENT
  • SYSTEM_TRANSITION
commentstring[ 1 .. 65535 ] characters

User-provided comment associated with the activity, comment, or transition request.

Example: This version is great!

last_updated_timestampint64

Time of the object at last update, as a Unix timestamp in milliseconds.

Example: 1594437549910

from_stagestring

Source stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

to_stagestring

Target stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

system_commentstring

Comment made by system, for example explaining an activity of type SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.

available_actionsarray of string

Array of actions on the activity allowed for the current viewer.

Values:

  • APPROVE_TRANSITION_REQUEST
  • REJECT_TRANSITION_REQUEST
  • CANCEL_TRANSITION_REQUEST
  • EDIT_COMMENT
  • DELETE_COMMENT
idstringuuid

Unique identifier for the object.

Example: 6fc74c92704341aaa49e74dcc6031057

Reject a transition request GA

POST /api/2.0/mlflow/transition-requests/reject

Rejects a model version stage transition request.

API scopes: mlflow

Request body

namestring[ 1 .. 100 ] charactersRequired

Name of the model.

Example: search_ads_model

versionstringRequired

Version of the model.

Example: 1

stagestringRequired

Target stage of the transition. Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

commentstring[ 1 .. 65535 ] characters

User-provided comment on the action.

Example: This version is great!

Response

activityobject

New activity generated as a result of this operation.

Show child attributesHide child attributes
creation_timestampint64

Creation time of the object, as a Unix timestamp in milliseconds.

Example: 1594437249910

user_idstringemail

The username of the user that created the object.

Example: jane.doe@example.com

activity_typestring

Type of activity. Valid values are:

  • APPLIED_TRANSITION: User applied the corresponding stage transition.

  • REQUESTED_TRANSITION: User requested the corresponding stage transition.

  • CANCELLED_REQUEST: User cancelled an existing transition request.

  • APPROVED_REQUEST: User approved the corresponding stage transition.

  • REJECTED_REQUEST: User rejected the coressponding stage transition.

  • SYSTEM_TRANSITION: For events performed as a side effect, such as archiving existing model versions in a stage.

Values:

  • APPLIED_TRANSITION
  • REQUESTED_TRANSITION
  • CANCELLED_REQUEST
  • APPROVED_REQUEST
  • REJECTED_REQUEST
  • NEW_COMMENT
  • SYSTEM_TRANSITION
commentstring[ 1 .. 65535 ] characters

User-provided comment associated with the activity, comment, or transition request.

Example: This version is great!

last_updated_timestampint64

Time of the object at last update, as a Unix timestamp in milliseconds.

Example: 1594437549910

from_stagestring

Source stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

to_stagestring

Target stage of the transition (if the activity is stage transition related). Valid values are:

  • None: The initial stage of a model version.

  • Staging: Staging or pre-production stage.

  • Production: Production stage.

  • Archived: Archived stage.

system_commentstring

Comment made by system, for example explaining an activity of type SYSTEM_TRANSITION. It usually describes a side effect, such as a version being archived as part of another version's stage transition, and may not be returned for some activity types.

available_actionsarray of string

Array of actions on the activity allowed for the current viewer.

Values:

  • APPROVE_TRANSITION_REQUEST
  • REJECT_TRANSITION_REQUEST
  • CANCEL_TRANSITION_REQUEST
  • EDIT_COMMENT
  • DELETE_COMMENT
idstringuuid

Unique identifier for the object.

Example: 6fc74c92704341aaa49e74dcc6031057